import { jsx as _jsx } from "react/jsx-runtime";
import { PropertyLine } from "./propertyLine.js";
import { Checkbox } from "../primitives/checkbox.js";
/**
 * Wraps a checkbox in a property line
 * @param props - PropertyLineProps and CheckboxProps
 * @returns property-line wrapped checkbox
 */
export const CheckboxPropertyLine = (props) => {
    return (_jsx(PropertyLine, { ...props, children: _jsx(Checkbox, { ...props }) }));
};
//# sourceMappingURL=checkboxPropertyLine.js.map