import type { FunctionComponent } from "react";
import type { BaseComponentProps } from "../hoc/propertyLine.js";
export type SyncedSliderProps = BaseComponentProps<number> & {
    min?: number;
    max?: number;
    step?: number;
};
/**
 * Component which synchronizes a slider and an input field, allowing the user to change a value using either control
 * @param props
 * @returns SyncedSlider component
 */
export declare const SyncedSliderInput: FunctionComponent<SyncedSliderProps>;
